/*
 * This file is generated by jOOQ.
 */
package de.ship.pia.emailcollector.jooq.tables.records;


import de.ship.pia.emailcollector.jooq.tables.VVersion;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Row1;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VVersionRecord extends TableRecordImpl<VVersionRecord> implements Record1<Integer> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>public.v_version.db_version</code>.
     */
    public void setDbVersion(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>public.v_version.db_version</code>.
     */
    public Integer getDbVersion() {
        return (Integer) get(0);
    }

    // -------------------------------------------------------------------------
    // Record1 type implementation
    // -------------------------------------------------------------------------

    @Override
    public Row1<Integer> fieldsRow() {
        return (Row1) super.fieldsRow();
    }

    @Override
    public Row1<Integer> valuesRow() {
        return (Row1) super.valuesRow();
    }

    @Override
    public Field<Integer> field1() {
        return VVersion.V_VERSION.DB_VERSION;
    }

    @Override
    public Integer component1() {
        return getDbVersion();
    }

    @Override
    public Integer value1() {
        return getDbVersion();
    }

    @Override
    public VVersionRecord value1(Integer value) {
        setDbVersion(value);
        return this;
    }

    @Override
    public VVersionRecord values(Integer value1) {
        value1(value1);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VVersionRecord
     */
    public VVersionRecord() {
        super(VVersion.V_VERSION);
    }

    /**
     * Create a detached, initialised VVersionRecord
     */
    public VVersionRecord(Integer dbVersion) {
        super(VVersion.V_VERSION);

        setDbVersion(dbVersion);
    }
}
